Main Page Groups Namespaces

# sigc::type_trait< reference_wrapper< T_type > > Struct Template Reference

List of all members.

## Public Types

typedef T_type | type
typedef T_type& | pass
typedef T_type& | take
typedef T_type* | pointer

## Static Public Member Functions

T_type& | instance ()

### template <class T_type>
struct sigc::type_trait< reference_wrapper< T_type > >

## Member Typedef Documentation

template <class T_type>
typedef T_type& sigc::type_trait<reference_wrapper<T_type>>::pass

template <class T_type>
typedef T_type* sigc::type_trait<reference_wrapper<T_type>>::pointer

template <class T_type>
typedef T_type& sigc::type_trait<reference_wrapper<T_type>>::take

template <class T_type>
typedef T_type sigc::type_trait<reference_wrapper<T_type>>::type

## Member Function Documentation

template <class T_type>
T_type& sigc::type_trait<reference_wrapper<T_type>>::instance | ( |  | ) | `[static]`

The documentation for this struct was generated from the following file:

- type_traits.h